# Retrieve a visitor with User ID

You can fetch the details of a single visitor.

Endpoint: GET /visitors
Version: 2.11
Security: bearerAuth

## Query parameters:

  - `user_id` (string, required)
    The user_id of the Visitor you want to retrieve.

## Header parameters:

  - `Intercom-Version` (string)

## Response 200 fields (application/json):

  - `type` (string, required)
    Value is 'visitor'
    Example: visitor

  - `id` (string, required)
    The Intercom defined id representing the Visitor.
    Example: 530370b477ad7120001d

  - `user_id` (string, required)
    Automatically generated identifier for the Visitor.
    Example: 8a88a590-e1c3-41e2-a502-e0649dbf721c

  - `anonymous` (boolean, required)
    Identifies if this visitor is anonymous.
    Example: false

  - `email` (string, required)
    The email of the visitor.
    Example: jane.doe@example.com

  - `phone` (string, required)
    The phone number of the visitor.
    Example: 555-555-5555

  - `name` (string, required)
    The name of the visitor.
    Example: Jane Doe

  - `pseudonym` (string)
    The pseudonym of the visitor.
    Example: Red Duck from Dublin

  - `avatar` (object)

  - `avatar.type` (string)
    Example: avatar

  - `avatar.image_url` (string)
    This object represents the avatar associated with the visitor.
    Example: https://example.com/avatar.png

  - `app_id` (string, required)
    The id of the app the visitor is associated with.
    Example: hfi1bx4l

  - `companies` (object)

  - `companies.type` (string)
    The type of the object
    Enum: "company.list"

  - `companies.companies` (array)

  - `companies.companies.type` (string)
    Value is `company`
    Enum: "company"

  - `companies.companies.id` (string, required)
    The Intercom defined id representing the company.
    Example: 531ee472cce572a6ec000006

  - `companies.companies.name` (string, required)
    The name of the company.
    Example: Blue Sun

  - `companies.companies.app_id` (string, required)
    The Intercom defined code of the workspace the company is associated to.
    Example: ecahpwf5

  - `companies.companies.plan` (object)

  - `companies.companies.plan.type` (string)
    Value is always "plan"
    Enum: "plan"

  - `companies.companies.plan.id` (string)
    The id of the plan
    Example: 269315

  - `companies.companies.plan.name` (string)
    The name of the plan
    Example: Pro

  - `companies.companies.company_id` (string, required)
    The company id you have defined for the company.
    Example: 6

  - `companies.companies.remote_created_at` (integer, required)
    The time the company was created by you.
    Example: 1663597223

  - `companies.companies.created_at` (integer, required)
    The time the company was added in Intercom.
    Example: 1663597223

  - `companies.companies.updated_at` (integer, required)
    The last time the company was updated.
    Example: 1663597223

  - `companies.companies.last_request_at` (integer, required)
    The time the company last recorded making a request.
    Example: 1663597223

  - `companies.companies.size` (integer, required)
    The number of employees in the company.
    Example: 100

  - `companies.companies.website` (string, required)
    The URL for the company website.
    Example: https://www.intercom.com

  - `companies.companies.industry` (string, required)
    The industry that the company operates in.
    Example: Software

  - `companies.companies.monthly_spend` (integer, required)
    How much revenue the company generates for your business.
    Example: 100

  - `companies.companies.session_count` (integer, required)
    How many sessions the company has recorded.
    Example: 100

  - `companies.companies.user_count` (integer, required)
    The number of users in the company.
    Example: 100

  - `companies.companies.tags` (object)
    The list of tags associated with the company

  - `companies.companies.tags.type` (string)
    The type of the object
    Enum: "tag.list"

  - `companies.companies.tags.tags` (array)

  - `companies.companies.tags.tags.type` (string)
    value is "tag"
    Example: tag

  - `companies.companies.tags.tags.id` (string)
    The id of the tag
    Example: 123456

  - `companies.companies.tags.tags.name` (string)
    The name of the tag
    Example: Test tag

  - `companies.companies.segments` (object)
    The list of segments associated with the company

  - `companies.companies.segments.type` (string)
    The type of the object
    Enum: "segment.list"

  - `companies.companies.segments.segments` (array)

  - `companies.companies.segments.segments.type` (string, required)
    The type of object.
    Enum: "segment"

  - `companies.companies.segments.segments.id` (string, required)
    The unique identifier representing the segment.
    Example: 56203d253cba154d39010062

  - `companies.companies.segments.segments.name` (string, required)
    The name of the segment.
    Example: Active

  - `companies.companies.segments.segments.created_at` (integer, required)
    The time the segment was created.
    Example: 1394621988

  - `companies.companies.segments.segments.updated_at` (integer)
    The time the segment was updated.
    Example: 1394622004

  - `companies.companies.segments.segments.person_type` (string, required)
    Type of the contact: contact (lead) or user.
    Enum: "contact", "user"

  - `companies.companies.segments.segments.count` (integer)
    The number of items in the user segment. It's returned when `include_count=true` is included in the request.
    Example: 3

  - `location_data` (object)

  - `location_data.type` (string)
    Example: location_data

  - `location_data.city_name` (string)
    The city name of the visitor.
    Example: Dublin

  - `location_data.continent_code` (string)
    The continent code of the visitor.
    Example: EU

  - `location_data.country_code` (string)
    The country code of the visitor.
    Example: IRL

  - `location_data.country_name` (string)
    The country name of the visitor.
    Example: Ireland

  - `location_data.postal_code` (string)
    The postal code of the visitor.
    Example: D02 N960

  - `location_data.region_name` (string)
    The region name of the visitor.
    Example: Leinster

  - `location_data.timezone` (string)
    The timezone of the visitor.
    Example: Europe/Dublin

  - `las_request_at` (integer)
    The time the Lead last recorded making a request.
    Example: 1663597260

  - `created_at` (integer, required)
    The time the Visitor was added to Intercom.
    Example: 1663597223

  - `remote_created_at` (integer)
    The time the Visitor was added to Intercom.
    Example: 1663597223

  - `signed_up_at` (integer, required)
    The time the Visitor signed up for your product.
    Example: 1663597223

  - `updated_at` (integer)
    The last time the Visitor was updated.
    Example: 1663597260

  - `session_count` (integer)
    The number of sessions the Visitor has had.
    Example: 1

  - `social_profiles` (object)

  - `social_profiles.type` (string)
    The type of the object
    Enum: "social_profile.list"

  - `social_profiles.social_profiles` (array)

  - `owner_id` (string)
    The id of the admin that owns the Visitor.
    Example: 5169261

  - `unsubscribed_from_emails` (boolean)
    Whether the Visitor is unsubscribed from emails.
    Example: false

  - `marked_email_as_spam` (boolean)
    Identifies if this visitor has marked an email as spam.
    Example: false

  - `has_hard_bounced` (boolean)
    Identifies if this visitor has had a hard bounce.
    Example: false

  - `tags` (object)

  - `tags.type` (string)
    The type of the object
    Enum: "tag.list"

  - `tags.tags` (array)

  - `tags.tags.type` (string)
    The type of the object
    Enum: "tag"

  - `tags.tags.id` (string)
    The id of the tag.
    Example: 8482

  - `tags.tags.name` (string)
    The name of the tag.
    Example: tag_name

  - `segments` (object)

  - `segments.type` (string)
    The type of the object
    Enum: "segment.list"

  - `segments.segments` (array)

  - `referrer` (string)
    The referer of the visitor.
    Example: https://www.google.com/

  - `utm_campaign` (string)
    The utm_campaign of the visitor.
    Example: intercom-link

  - `utm_content` (string)
    The utm_content of the visitor.
    Example: banner

  - `utm_medium` (string)
    The utm_medium of the visitor.
    Example: email

  - `utm_source` (string)
    The utm_source of the visitor.
    Example: Intercom

  - `utm_term` (string)
    The utm_term of the visitor.
    Example: messenger

  - `do_not_track` (boolean)
    Identifies if this visitor has do not track enabled.
    Example: false

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

